package com.yunzhupaas.mdm.service;

import com.yunzhupaas.base.ActionResult;
import com.yunzhupaas.mdm.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.mdm.model.projects.*;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.*;

/**
 * 项目信息
 * 版本： V5.2.7
 * 版权： Copyright @ 2025  深圳市乐程软件有限公司版权所有
 * 作者： 深圳市乐程软件有限公司
 * 日期： 2026-05-19
 */
public interface ProjectsService extends SuperService<ProjectsEntity> {
    List<ProjectsEntity> getList(ProjectsPagination projectsPagination);

    List<ProjectsEntity> getTypeList(ProjectsPagination projectsPagination,String dataType);

    ProjectsEntity getInfo(String projectid);

    void delete(ProjectsEntity entity);

    void create(ProjectsEntity entity);

    boolean update(String projectid, ProjectsEntity entity);

	String checkForm(ProjectsForm form,int i);

    void saveOrUpdate(ProjectsForm projectsForm,String id, boolean isSave) throws Exception;
    /**
     * 树状列表查询
     * @return
     */

    public  List<Map<String, Object>> getTreeList();

    String getProjettype(String  projectstypeId);


}
